summaryrefslogtreecommitdiff
path: root/dev-python/mimerender
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-30 00:41:36 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-30 00:41:36 +0000
commitd20b9f3d1fea3ac01c942a8967658cf04313518f (patch)
tree96c37fad1c9ddfd73a3b93b03149daa19ab09840 /dev-python/mimerender
parent5b0b36719cbd43cb20919d6eca452a55031e54bf (diff)
downloadbaldeagleos-repo-d20b9f3d1fea3ac01c942a8967658cf04313518f.tar.gz
baldeagleos-repo-d20b9f3d1fea3ac01c942a8967658cf04313518f.tar.xz
baldeagleos-repo-d20b9f3d1fea3ac01c942a8967658cf04313518f.zip
Adding metadata
Diffstat (limited to 'dev-python/mimerender')
-rw-r--r--dev-python/mimerender/mimerender-0.6.0-r1.ebuild29
1 files changed, 29 insertions, 0 deletions
diff --git a/dev-python/mimerender/mimerender-0.6.0-r1.ebuild b/dev-python/mimerender/mimerender-0.6.0-r1.ebuild
new file mode 100644
index 000000000000..396a12eb5d3f
--- /dev/null
+++ b/dev-python/mimerender/mimerender-0.6.0-r1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="RESTful HTTP Content Negotiation for Flask, Bottle, web.py and webapp2"
+HOMEPAGE="
+ https://pypi.org/project/mimerender/
+ https://github.com/martinblech/mimerender/"
+SRC_URI="
+ https://github.com/martinblech/mimerender/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="dev-python/python-mimeparse[${PYTHON_USEDEP}]"
+
+distutils_enable_tests unittest
+
+python_test() {
+ "${EPYTHON}" src/test.py -v || die "Tests fail with ${EPYTHON}"
+}